## tictactoe 0.2.0

=== DESCRIPTION ===
Package: tictactoe
Type: Package
Title: Tic-Tac-Toe Game
Version: 0.2.0
Authors@R: c(
  person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Maintainer: Kota Mori <kmori05@gmail.com>
Description: 
  Implements tic-tac-toe game to play on console, either with human or AI players.
  Various levels of AI players are trained through the Q-learning algorithm.
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 5.0.1
Depends: R (>= 2.10)
Imports: hash, stats
Suggests: testthat, combiter, dplyr, tidyr, reshape2, ggplot2
URL: https://github.com/kota7/tictactoe
BugReports: https://github.com/kota7/tictactoe/issues
NeedsCompilation: no
Packaged: 2016-12-28 03:18:37 UTC; kota
Author: Kota Mori [aut, cre]
Repository: CRAN
Date/Publication: 2016-12-28 18:09:32

## tictactoe 0.2.2

=== DESCRIPTION ===
Package: tictactoe
Type: Package
Title: Tic-Tac-Toe Game
Version: 0.2.2
Authors@R: c(
  person("Kota", "Mori", email = "kmori05@gmail.com", role = c("aut", "cre"))
  )
Description: 
  Implements tic-tac-toe game to play on console, either with human or AI players.
  Various levels of AI players are trained through the Q-learning algorithm.
License: MIT + file LICENSE
LazyData: TRUE
RoxygenNote: 6.0.1
Depends: R (>= 2.10)
Imports: hash, stats
Suggests: testthat, combiter, dplyr, tidyr, reshape2, ggplot2
URL: https://github.com/kota7/tictactoe
BugReports: https://github.com/kota7/tictactoe/issues
NeedsCompilation: no
Packaged: 2017-05-26 14:15:36 UTC; kota
Author: Kota Mori [aut, cre]
Maintainer: Kota Mori <kmori05@gmail.com>
Repository: CRAN
Date/Publication: 2017-05-26 15:33:31 UTC

## tictactoe 0.8.1

=== Makefile ===
PACKAGE       = tictactoe 
VERSION       = 0.8.1
PKG_VER       = ${PACKAGE}-$(VERSION}
INSTALL       = /usr/bin/install -c
DESTDIR	      =
PREFIX        = $(DESTDIR)/usr
PIXPATH       = $(PREFIX)/share/games/tictactoe/

all: install

install: 
	mkdir -p $(PREFIX)/games
	${INSTALL} -m 0755 tictactoe.rb $(PREFIX)/games/tictactoe
	mkdir -p $(PIXPATH)
	${INSTALL} -m 0644 tic.xpm ${PIXPATH}
	${INSTALL} -m 0644 tac.xpm ${PIXPATH}
	${INSTALL} -m 0644 toe.xpm ${PIXPATH}

=== debian/changelog ===
tictactoe (0.8.1-6) unstable; urgency=low

  * QA upload.
  * Switch to format 3.0 (quilt).
  * debian/patches/01_ruby_call.diff:
    - Dropped, no longer needed.
  * debian/patches/02_gtk2.diff:
    - Dropped, converted to gtk2.patch.
  * debian/patches/add_gtk_quit_event.patch:
    - Properly destroy the window when the Close button is activated,
      patch by Saket Choudhary (Closes: #634758).
  * debian/compat:
    - Bump compatibility level to 8.
  * debian/control:
    - Set Maintainer to Debian QA Group.
    - Bump Standards-Version to 3.9.2.
    - Drop debhelper from Depends field.
    - Add ruby | ruby-interpreter instead of ruby1.8.
  * debian/copyright:
    - Use versioned link to common-licenses.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Dec 2011 13:35:39 +0100

tictactoe (0.8.1-5) unstable; urgency=low

  * Change to Standards-Version 3.7.3.
  * Change debian/compat file content to 5.
  * Add Homepage line to  debian/control.
  * Change in debian/control file, debhelper version to Build-depends.

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Wed, 02 Jan 2008 12:02:09 -0430

tictactoe (0.8.1-4) unstable; urgency=low
  
  * New maintainer (closes: #358574).

 -- Ernesto Nadir Crespo Avila <ecrespo@debianvenezuela.org>  Sat, 29 Jul 2006 16:09:23 -0400

tictactoe (0.8.1-3) unstable; urgency=low

  * Orphaning. 

 -- Michael Ablassmeier <abi@debian.org>  Thu, 23 Mar 2006 11:12:00 +0100

tictactoe (0.8.1-2) unstable; urgency=low

  * Add patches/02_gkt2.diff: make tictactoe use gtk2 instead of
    ancient libgtk-ruby1.6
  * Modify patches/01_ruby_call.diff: ruby1.8 instead of ruby1.6
  * Remove dependency on ruby1.6, libgtk-ruby1.6, depend on
    ruby 1.8 instead
  * Bump up Standards version 
  * Use simple-patchsys instead of dpatch, remove build-dependency
    on dpatch.

 -- Michael Ablassmeier <abi@grinser.de>  Sat, 13 Aug 2005 16:11:49 +0200

tictactoe (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Update Standards Version
  * Use and Build-depend on cdbs.
    + update debhelper Build-dep to 4.1.0
  * Use and Build-depend on dpatch
    + patch ruby shebang in tictactoe.rb
  * Add quotes to debian/menu 

 -- Michael Ablassmeier <abi@grinser.de>  Tue, 28 Sep 2004 16:23:12 +0200

tictactoe (0.8-3) unstable; urgency=low

  * Changed Depency to new ruby1.6 Package
  * Changed Path to ruby Binary to /usr/bin/ruby1.6
  * Updated Standards version to 3.6.1

 -- Michael Ablassmeier <abi@grinser.de>  Sun, 12 Oct 2003 18:39:27 +0200

tictactoe (0.8-2) unstable; urgency=low

  * Changed Depency to new lib-gtk1.6 ruby Package (Closes: #214221)
  * Updated Standards version to 3.6.1

 -- Michael Ablassmeier <abi@grinser.de>  Fri, 10 Oct 2003 23:29:05 +0200

tictactoe (0.8-1) unstable; urgency=low

  * Initial Release. (Closes: #204500)

 -- Michael Ablassmeier <abi@rubyforen.de>  Mon,  4 Aug 2003 21:51:12 +0200

=== debian/control ===
Source: tictactoe
Section: games 
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-depends: debhelper (>= 8~), cdbs
Standards-Version: 3.9.2
Homepage: http://perplex.schmumpf.de/dev/tictactoe/ruby/

Package: tictactoe
Architecture: all
Depends: ${misc:Depends}, ruby | ruby-interpreter, libgtk2-ruby
Description: tic-tac-toe game written in Ruby
 This Tic-Tac-Toe game is written in Ruby.
 .
 The game implements a simple rule-based AI (easy) and a variation of
 minimax/negamax (hard).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_BUILD_TARGET = DESTDIR=$(CURDIR)/debian/tictactoe 
DEB_MAKE_INSTALL_TARGET = DESTDIR=$(CURDIR)/debian/tictactoe

=== debian/watch ===
# No upstream file listing
